/*
Theme Name: 201 Murray Child Theme
Theme URI: 
Description: Child theme for 201 Murray theme
Author: 
Author URI: 
Template: 201-murray
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: 201-murray-child
*/

/* Add your custom styles below this line */ 


/* Helpers */
.shadow {
	box-shadow: 0px 10px 30px 0px rgba(0,0,0,0.1);
}
.shadow-offset-image {
	position: relative;

	&::before {
		content: '';
		display: block;
		position: absolute;
		top: 2.5vw;
		right: 20px;
		bottom: 0;
		left: 20px;
		pointer-events: none;
		z-index: -1;
		box-shadow: 0px 10px 30px 0px rgba(0,0,0,0.1);
	}

	@media (min-width: 768px) {
		/* .vc_figure {
			margin-top: -150px;
		} */
	}

	@media (max-width: 767px) {
		.wpb_column:has(> .vc_column-inner > .wpb_wrapper > .wpb_single_image) {
			order: -1;
		}
	}
	
}
.min-height-500 {
	min-height: 500px;
}

/*== HEADER ==*/
body {
	overflow: clip; /* for position:sticky to work */
}
.gt-header-wrap {
	position: sticky;
	top: 0;
	z-index: 103;
}
.gt-hs-medium {
	padding-block: 10px !important;
}

/* Fix vertical centering hamburger icon */
.gt-hs-medium > * {
	position: relative;
}
.gt-hs-medium .gt-toggle-nav {
	line-height: 1;
	top: 50%;
	transform: translateY(-50%);
	height: auto;
}
.gt-hs-medium .gt-toggle-nav .lnr {
	text-box-trim: trim-both;
	text-box-edge: cap alphabetic;
}

.gt-contact-info[class] a {
	color: #fff;
} 
.gt-contact-info i {
	margin-right: 5px;
}
.gt-header-wrap {
	box-shadow: 0px 5px 30px 0px rgba(0,0,0,0.1);
}
.gt-top-bar {
	padding-block: 10px;
	color: #fff;
	background: #5E5E5E;
	line-height: 1;
}
.gt-header {
	background-color: #fff !important;
}
.gt-header.gt-type-2 {
	.gt-toggle-nav {
		position: absolute;
	}
	.gt-logo {
		width: min(300px, calc(100% - 150px));
	}
}

.gt-page-content-wrap {
	margin-top: 0;
}
.gt-toggle-nav[class] {
	color: #5E5E5E;
	font-size: 0 !important;
	
	&:is(&:hover,&:focus,&:active) {
		color: #5E5E5E;
	}
}
.gt-nav-close[class]:hover {
	color: #fff;
}
.gt-navigation[class] {
	color: #fff;
	line-height: 1.5;
}
.gt-navigation[class] > li a {
	color: inherit;
}
.gt-header.gt-type-2[class] .gt-navigation > li > a {
	font-size: inherit;
}
.gt-navigation[class] li > .open_sub_menu {
	line-height: 1;
}
.gt-navigation[class] .menu-item-has-children > .open_sub_menu::after,
.gt-navigation[class] .page_item_has_children > .open_sub_menu::after {
	font-size: 1em;
	line-height: inherit;
	text-box-trim: trim-both;
	text-box-edge: cap alphabetic;
}
.gt-navigation[class] ul.sub-menu li > a, 
.gt-navigation[class] ul.children li > a {
	font-size: inherit;
}

/* Footer */
.gt-page-content-wrap:has(.wpb-content-wrapper > .vc_row:last-child .murray-map-wrapper) + .gt-footer-holder,
.gt-page-content-wrap:has(.wpb-content-wrapper > .vc_row:nth-last-child(2) .murray-map-wrapper) + .gt-footer-holder {
	margin-top: 0;
}
.gt-footer[class] {
	font-size: 16px;

	.col-md-2 {
		border-right: 2px solid #3f3f3f;
	}
}
.gt-footer-logo {
	width: 300px;
}

/* Google map */
.gm-style,
.info_content_title {
	font-family: inherit !important;
}

/* Parallax Stripes */
.vc_row.vc_parallax {
	overflow: hidden;
	color: #fff;

	h1, h2, h3, h4, h5, h6 {
		color: inherit;
	}
}

/* Buttons */
.vc_btn3[class][class][class][class][class] {
	padding: 18px 55px !important;
	font-size: 17px;
	font-weight: 500;
	background: #B79563;
	color: #fff;
	border-style: none;
	border-radius: 30px;
	letter-spacing: 0;

	&:focus,
	&:hover {
		background: color-mix(in srgb, white 10%, #B79563) !important;
	}
}

/* Masonry Gallery (Gallery page) */
.vc_gitem-post-data-source-post_title {
	margin-bottom: 0;
}

.vc_gitem-post-data-source-post_excerpt {
	display: none;
}

/* Homepage */
.home .gt-footer-holder {
	margin-top: 0;
}
.home .vc_row.vc_parallax .vc_parallax-inner {
	/* Turn off parallax on homepage */
	background-attachment: scroll;
	background-position: 50% 50% !important;
	height: 100% !important;
	top: 0 !important;
}

/* Next/Prev Page Nav */
.vc_custom_heading[style*="font-family:Karla"] {
	font-family: inherit !important;
}

/* Default Heading (this is turned off on many pages) */
:is(.gt-breadcrumbs-wrap, .single .gt-breadcrumbs-wrap) {
	padding-top: 90px;
}
.gt-breadcrumbs-wrap {
	.container {
		padding-left: 15px;
		padding-right: 15px;
	}
	.gt-page-title {
		margin-left: 0;
		margin-right: 0;
	}
}

/* News */
:is(.archive, .blog) {
	&:has(.gt-vertical) .gt-breadcrumbs-wrap {
		max-width: 1170px;
		margin-left: auto;
		margin-right: auto;
	}
}

/* Text was wrapping weird. Amy asked for the change. */
ul, ol {
  list-style-position: outside;
  padding-left: 1.5em;
  margin-left: 0;
}
ul li, ol li {
  list-style-position: outside;
}
